<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\NOC;
use Carbon\Carbon;
class NOCCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'noc:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
         

       
       $nocs= NOC::where('status','!=',3)->get();
       foreach($nocs as $noc ){
      
        //  $date = Carbon::createFromFormat('Y-m-d',$noc->noc_date);
        //  $daysToAdd = 9;
        //  $date = $date->addDays($daysToAdd);
      // $date =   $noc->noc_valid_date;
      // $carbonDate = Carbon::parse($date);
      $expiry_date = Carbon::createFromFormat('Y-m-d',$noc->noc_valid_date);

         $todayDate = Carbon::now();
         $result = $todayDate->gte($expiry_date );
 
         if($result){
            $noc->status=2;
            $noc->save();
         }
     
       }
      
    }
}
