<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use Maatwebsite\Excel\Facades\Excel;

class CustomerFormatRule implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        try {
          
            $data = Excel::toArray([], $value)[0];
            //
            $words = ['name', 'father_name', 'cnic', 'mobile_number', 'total_paid_amount', 'email', 'password', 'mailing_address', 'permanent_address','ntn_number','is_filer'];

            if ($data[0][0] == $words[0] && $data[0][1] == $words[1] && $data[0][2] == $words[2] && $data[0][3] == $words[3] && $data[0][4] == $words[4] && $data[0][5] == $words[5] && $data[0][6] == $words[6] && $data[0][7] == $words[7] && $data[0][8] == $words[8] && $data[0][9] == $words[9] && $data[0][10] == $words[10]) {
                return true;
            } else {
                return false;
            }
        } catch (\Exception $e) {
            return false;
        }
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'There is some issue in your file format.';
    }
}
