<div class="col-sm-12">
                        <div class="white-box">
                            <!-- <div class="pull-right">
                                @permission('create-inventory')
                                <a href="{{route('inventory.add')}}" class="btn  btn-primary">
                                    <i class="fa fa-plus-square"></i>&nbsp; Add new Inventory
                                </a>
                                @endpermission
                            </div> -->
                            <h3 class="box-title">All Inventories ({{number_format(count($allInventories))}})</h3>

                            <div class="table-responsive">
                                
                                    <table id="myTable" class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th>Sr #</th>
                                                <th>Project</th>
                                                <th>Unit #</th>
                                                <!-- <th>floor</th>
                                                                        <th>Type</th> -->
                                                <th>Size</th>
        
                                                <th>Net Amount</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $count = 1; ?>
                                            @permission('view-inventory')
                                                <?php $view_inventory = true; ?>
                                            @else
                                                <?php $view_inventory = false; ?>
                                            @endpermission
                                            @permission('edit-inventory')
                                                <?php $edit_inventory = true; ?>
                                            @else
                                                <?php $edit_inventory = false; ?>
                                            @endpermission
                                            @permission('delete-inventory')
                                                <?php $delete_inventory = true; ?>
                                            @else
                                                <?php $delete_inventory = false; ?>
                                            @endpermission
                                            @role('admin')
                                                <?php $admin = true; ?>
                                            @else
                                                <?php $admin = false; ?>
                                            @endrole
        
                                            @foreach ($allInventories as $i)
                                                <tr>
                                                    <td>{{ $count++ }}</td>
                                                    <td>{{ $i->multiProject ? $i->multiProject->name : 'None' }}
        
                                                    </td>
                                                    <td>
                                                        @permission('view-inventory')
                                                            <a
                                                                href="{{ route('inventory.detail', ['id' => $i->id]) }}">{{ $i->unit_number }}</a>
                                                        @else
                                                            {{ $i->unit_number }}
                                                        @endpermission
        
                                                    </td>
        
                                                    <td>{{ $i->size ? $i->size->name : '' }}
        
                                                        @can('isSuperAdmin')
                                                        @php
                                                        if ($i->multiProject->type->id == \App\ProjectType::society) {
                                                            $size = \App\ProjectType::society_size;
                                                        } else {
                                                            $size = \App\ProjectType::high_rise_size;
                                                        }
                                                        @endphp
                                                        @endcan
                                                       
                                                        {{ $size }}
                                                    </td>
                                                    <td>{{ number_format($i->total_price) }}</td>
        
                                                    @if ($admin)
                                                        @if ($i->status == \App\Inventory::open)
                                                            <td><span class="label label-success">Open</span></td>
                                                        @elseif($i->status == \App\Inventory::package_open_file)
                                                            <td><span class="label label-success">Open/Dealer Package File</span></td>
                                                        @elseif($i->status == \App\Inventory::package_open_file_refunded)
                                                            <td><span class="label label-success">Open/Dealer Package Refunded</span></td>
                                                        @elseif($i->status == \App\Inventory::sold)
                                                            <td><span class="label label-danger">Sold</span></td>
                                                        @elseif($i->status == \App\Inventory::hold_client)
                                                            <td><span class="label label-primary">Client Hold</span></td>
                                                        @elseif($i->status == \App\Inventory::hold_company)
                                                            <td><span class="label label-primary">Company Hold</span></td>
                                                        @elseif($i->status == \App\Inventory::token_hold)
                                                            <td><span class="label label-primary">Token Hold</span></td>
                                                        @elseif($i->status == \App\Inventory::temp_hold)
                                                            <td><span class="label label-primary">Temporary Hold</span></td>
                                                        @else
                                                            <td></td>
                                                        @endif
                                                    @else
                                                        @if ($i->status == \App\Inventory::open)
                                                            <td><span class="label label-success">Open</span></td>
                                                        @else
                                                            <td><span class="label label-danger">Sold</span></td>
                                                        @endif
                                                    @endif
                                                    <td class="text-nowrap">
                                                        @if ($view_inventory)
                                                            <a href="{{ route('inventory.detail', ['id' => $i->id]) }}"
                                                                data-toggle="tooltip" data-original-title="View"> <i
                                                                    class="fa fa-eye text-inverse m-r-10"></i> </a>
                                                        @endif
        
                                                        @if($i->status != \App\Inventory::package_open_file)
                                                        @if ($edit_inventory)
                                                            <a href="{{ route('inventory.editView', ['id' => $i->id]) }}"
                                                                data-toggle="tooltip" data-original-title="Edit"> <i
                                                                    class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                        @endif
                                                        @endif
        
                                                        {{-- @if ($edit_inventory)
                                                        <a href="#" data-toggle="tooltip" data-original-title="Update status "> <i class="fa fa-wrench text-inverse m-r-10"></i> </a>
                                                        @endif --}}
                                                        @if ($delete_inventory)
                                                            <a data-toggle="confirmation" data-title="Are you sure to delete?"
                                                                href="{{ route('inventory.delete', ['id' => $i->id]) }}"> <i
                                                                    class="fa fa-close text-danger"></i> </a>
                                                        @endif
                                                    </td>
                                                </tr>
                                            @endforeach
        
                                        </tbody>
                                        
                                    </table>
                                   
                            </div>
                        </div>
                    </div>