
@extends('layouts.app')

@section('title')
Provisional Allotment Letter 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right no-print">
    <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Provisional Allotment Letter </li>
</ol>
@stop

@section('css')

<style type="text/css">

.table-bordered, .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
    border: 1px solid #000000;
}

h6 {
    font-size: 16px !important;
}

@media print {
    
    .col-xs-12 {
        width:99%;
        float:left;
    }

    .border {
        border: 0px solid black ;
        border-bottom: 1px solid black;
        border-width: -22px solid black ;
        text-align: center;
    
    } 
    
    .border2 {
        border: 0px solid black !important;
        border-bottom: 1px solid black !important;
        border-width: 100% solid black !important;
    } 
    
    
    p {
        margin: 0 0 0px;
    }
    
    .white-box {
        margin-top: 50px;
    }
    
    .row {
    margin-right: 0px !important;
    margin-left: 0px !important;
}
    
     .qr-code {
    
    margin-right: 4.2% !important;
}   
}

.qr-code {
    display: inline-block;
    border: 1px solid black;
    margin-top: 70px;
    float: right;
    position: relative;
    bottom: 4rem;
    margin-right: 1.2%;
}

</style>

@stop

@section('content')

<div class="container-fluid white-box border-none" style="margin-left: 15px;">
    <div class="row border-none" id="content">
        <div class="col-lg-12">
            <div class=" border-none">
                <div class="row" >
                    <div class="white-box border-none" style="margin-bottom: -40rem; font-family: calibri;">
                        <div class="row" >
                            <center><h4 style="position: relative;top: 2rem;"><strong style="text-decoration: underline;">ALLOTMENT LETTER</strong></h4></center>
                            <div class="col-sm-12 col-xs-12 mt-12">
                                <div class="row" >
                                    <div class="col-xs-4 col-sm-3" ><strong class="un" style="font-size: 19px;"></strong></div>
                                </div>
                                
                                <span class="qr-code">
                                    <?php 
                                    $unit_category = '';
                                    
                                    foreach($statement->inventory->categories as $c)
                                    {
                                        $unit_category .= $c->category->name.' (' . $c->category->percent.' ),';
                                    }
                                                           
                                                            
                                                    
                                    $first_date = date('d-m-Y'); 
                                    $last_date = date('d-m-Y'); 
                                    $counter = 0; 
                                    foreach($statement->statement as $statements)
                                    {
                                       if($statements->due > 0 && ($statements->payment_head == \App\CustomerStatement::installment ))
                                       {
                                           if($counter == 0)
                                           {
                                               $first_date = date('d-m-Y', strtotime($statements->due_date));
                                           }
                                            $last_date = date('d-m-Y', strtotime($statements->due_date)) ;  
                                        $counter++;
                                       }
                                    
                                       
                                    }
                                   
                                    
                                    
                                    $total_years = '';
                                    
                                    
                                    if($counter == 48)
                                    {
                                        $total_years =   '4 Years';
                                    }
                                    elseif($counter == 36)
                                    {
                                        $total_years =  '3 Years';
                                    }
                                    elseif($counter == 24)
                                    {
                                        $total_years =  '2 Years';
                                    }
                                    elseif($counter == 12)
                                    {
                                        $total_years =  '1 Years';
                                    }
                                    else
                                    {
                                        $date1 = $first_date;
                                        $date2 = $last_date;
                                        $diff = abs(strtotime($date2)-strtotime($date1));
                                        $years = floor($diff / (365*60*60*24));
                                        $months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
                                        $days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
                                        
                                        if($months > 0 )
                                        $total_years = $years.'.'.$months. ' Years';
                                        else
                                        $total_years = $years.'.'.$months. ' Years';
                                    }
                                   
                                    /*MI code starts here*/
                                    $name = 'NAME : '.$cus_name;
                                    
                                    $f_type = "";
                                    if($father_type == 1) {
                                        $f_type = "S/O";
                                    }elseif($father_type == 2) {
                                        $f_type = "D/O";
                                    }elseif($father_type == 3) {
                                        $f_type = "W/O";
                                    }else {
                                        $f_type = "S/O";
                                    }
                                                            
                                    $father_names = ' '.$f_type.' : '.$father_name;
                                    
                                    $u_cnic = ' CNIC : '.$cnic;
                                    /*MI code ends here*/
                                    
                                    $sizes = ' SIZE :  '.$size.' '.env('SIZE');  
                                    $types = ' PLOT TYPE :  '.$type;
                                    $category = ' CATEGORY : '.$unit_category. '% Extra';
                                    $booking_type =  ' BOOKING TYPE : '. $total_years;
                                    $total_price =  ' TOTAL PRICE : '. $net_pay;
                                    $booking_date =  ' BOOKING DATE : '. $original_boooking_date; 
                                    $area =  ' AREA : '. $area; 
                                    $schedule_start_date =  ' SCHEDULE START DATE : '. $schedule_start_date; 
                                    
                                    $qrCodeOutput =  $name.$father_names.$u_cnic.$sizes.$types.$category.$booking_type.$total_price.$booking_date.$area.$schedule_start_date;
                                 ?>



                                <div style="height: 180px; width: 150px; border:3px solid;float: right;overflow: hidden;">
                            <img width="150px" height="180px" src="{{asset('uploads/'.$statement->customer->img_url)}}">
                            
                        </div>
                        
                        
                                    
                                    </span>
                                
                            </div>
                            
                            <div class="col-lg-12 col-xs-12 " style="margin-top: -7rem;">
                               
                                <br>
                                <div class="row border-none" style="position: relative;bottom: 13rem;">
                                    <div class="col-xs-6 col-sm-5" style="color: black !important;">
                                        <p>
                                            <b>NAME :  </b> <span>{{$cus_name}}</span><br>
                                            <b>S/W/Of :  </b> <span>{{$father_name}}</span><br>
                                            <b>CNIC :  </b> <span> <?php 
                                                            $c = str_split($cnic, 1);?>
                                                            <?php for($i =0;$i<count($c) ; $i++) { ?>
                                                            @if($i == 5 || $i == 12)
                                                            -
                                                            @endif
                                                            
                                                            {{$c[$i]}}
                                                            
                                                            <?php } 
                                                            ?></span><br>
                                            <b>ADRESS :  </b> <span>{{$mailing_address}}</span><br>
                                        </p>
                                        </div>
                                </div>
                                <div class="row"  style="    margin-top: -8rem;float: left;">
                                    
                                 <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Dear Sir/ Madam,</p>

                                    <div class="col-sm-12 col-xs-12" style="margin-top: 1rem; color: black !important; text-align: justify;margin-bottom:3rem">
                                        <p style=" font-weight: 400;">The Management of __________ PVT LTD is pleased to welcome you and allot/transfer plot on your name as per details below:</p>
                                    </div>
                                    <br><br>
                                    <div class="col-md-6 col-xs-6">
                                        <strong>
                                            REG NO: 
                                        </strong>
                                        <span>{{$statement->membership_no}}</span>
                                        </div>
                                        
                                         <div class="col-md-6 col-xs-6">
                                        <strong>
                                            CATEGORY: 
                                        </strong>
                                        <span> @foreach($categories as $c)

                                                            @if($loop->last)
                                                            {{$c->category->name}} ({{$c->category->percent}} @if($c->category->percent > 0)  {{ '% Extra' }} @endif)
                                                            @else
                                                            {{$c->category->name}} ({{$c->category->percent}}  @if($c->category->percent > 0)  {{ '% Extra' }} @endif),
                                                            @endif
                                                            
                                                            @endforeach</span>
                                        </div>
                                        
                                        
                                        
                                        <div class="col-md-6 col-xs-6">
                                        <strong>
                                            FORM NO: 
                                        </strong>
                                        <span>{{$statement->application_no }}</span>
                                        </div>
                                        
                                         <div class="col-md-6 col-xs-6">
                                        <strong>
                                            PLOT NO: 
                                        </strong>
                                        <span>
                                            N/A
                                            <!--{{$statement->inventory->unit_number}}-->
                                            </span>
                                        </div>
                                        
                                        
                                        
                                        
                                        <div class="col-md-6 col-xs-6">
                                        <strong>
                                            PLOT TYPE: 
                                        </strong>
                                        <span>{{$statement->inventory->type->name}}</span>
                                        </div>
                                        
                                         <div class="col-md-6 col-xs-6">
                                        <strong>
                                            BLOCK: 
                                        </strong>
                                        <span>{{ $statement->inventory->floor ? $statement->inventory->floor->unitBlock->name : ''}}</span>
                                        </div>
                                        
                                        
                                        <div class="col-md-6 col-xs-6">
                                        <strong>
                                           SIZE: 
                                        </strong>
                                        <span>{{$statement->inventory->size->name}} Marla</span>
                                        </div>
                                        
                                         <div class="col-md-6 col-xs-6">
                                        <strong>
                                            STREET:
                                        </strong>
                                        <span>{{ $statement->inventory ? $statement->inventory->floor->name : '' }}</span>
                                        </div>
                                        
                                    
                                    
                                    <div class="col-sm-12 col-xs-12" style="margin-top:3rem">
                                    <p>The Allotment is Provisional and subjected to the acceptance of the terms and conditions
                                    printed over leaf. <br> The management of __________ reserves the right to cancel / alter the location and
                                    dimension until physical possession of the plot in handed over.</p>
                                    </div>
                                    
                                    
                                  
                                    
                                    <div class="col-md-12 col-xs-12" style="margin-top: 2%; margin-left: 3%; ">
                                        
                                               <h5>
                                                  {!! QrCode::size(200)->generate( $qrCodeOutput ); !!}
                                                </h5>
                                           
                                    </div>
                                    
                                    
                                    
                                        
                                        
                                   
                                        
                                    
                                    <div class="col-sm-12 col-xs-12" style=" padding: 0 60px; margin-top: -3rem;">
                                       
                                      
                                          <div class="col-sm-9 col-xs-9">
                                              
                                          </div>  
                                                
                                          
                                         <div class="col-sm-3 col-xs-3" style="left: 3rem;position: relative;top: 2rem;">
                                           
                                                 <h6>Yours Faithfully,</h6>
                                            
                                                
                                                <h6 style="margin-left: 2rem;"><strong><u>MANAGER</u></strong></h6>
                                                
                                                <h6><strong><u>__________</u></strong></h6> 
                                            
                                          </div>
                                   
                                    </div>
                                        
                                    <div class="col-sm-12 col-xs-12" style="color: black;margin-top: -2rem;font-weight: bold;font-size: 1.8rem;">
                                    
                                        <div style="margin-left: 2rem;">
                                           
                                            <p style="margin-top: 0rem;"><b>DATE: {{date('d-m-Y')}}</b>  </p>
                                        </div>
                                    
                                    </div>      
                                       
 
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="border-none">
                    <br>
                    <br>
                    <button id="print" class="btn btn-success no-print" type="button" style="float: right; color: white;"> <span style="color: white;"><i class="fa fa-print"></i> Print</span> </button>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>
</div>


</div>
</div> 

  

@stop

@section('js')
<script src="{{asset('js/jquery.PrintArea.js')}}" type="text/JavaScript"></script>
<script>
$(function () {
    $("#print").on("click", function () {
        window.print();
    });
});


</script>
@stop