


<?php $__env->startSection('title'); ?>
Packages List
<?php $__env->stopSection(); ?>

    <?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-openfile')): ?>
            <li><a href="<?php echo e(route('openfile.view')); ?>">All Open File Packages List</a></li>
        <?php endif; ?>
        <li class="active">Open File Packages Detail</li>
    </ol>
    <?php $__env->stopSection(); ?>

        <?php $__env->startSection('content'); ?>
       
        <!-- .container-fluid -->
        <div class="container-fluid">
            <!-- /row -->
            <div class="row">
                <div class="col-sm-12">
                    <div class="white-box">
                        <h3 class="box-title">Detail Open File Package/Issue Form</h3>
                        <hr>

                        <div class="table-responsive">
                            <table id="myTable" class="table table-striped">
                                <thead>
                                <tr>
                                    <th>Sr. No.</th>
                                    <th>Project Name</th>
                                    <th>Unit Number</th>
                                    <th>Size</th>
                                    <th>Type</th>
                                    <th>Status</th>
                                    <th>Expiry Date</th>
                                    <th style="width: 185px!important;">Action</th>
                                        
                                    
                                </tr>
                                </thead>
                               
                                <tbody>
    <?php $count =1;?>
                               <?php $__currentLoopData = $detail_dealer_openfile->openFileDealerInfo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $info): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                                   

                               <tr>
                                <td><?php echo e($count++); ?></td>
                                <td><?php echo e($info->inventory ? $info->inventory->multiProject->name : 'None'); ?></td>
                                <td><?php echo e($info->inventory ? $info->inventory->unit_number : ''); ?></td>
                                <td><?php echo e($info->inventory ? $info->inventory->size->name : ''); ?>

                                    marla</td>
                                <td><?php echo e($info->inventory ? $info->inventory->type->name : ''); ?></td>

                                <?php if (\Illuminate\Support\Facades\Blade::check('role', 'admin')): ?>
                                <?php $admin = true;?>
                            <?php else: ?>
                            <?php $admin = false;?>
                            <?php endif; ?>
                          
                                <?php if($admin): ?>

                                <?php if($info->inventory ? $info->inventory->status == \App\Inventory::open : ''): ?>
                                 <td><span class="label label-success">Open</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::package_open_file : ''): ?>
                                 <td><span class="label label-success">Open/Dealer Package File</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::sold : ''): ?>
                                 <td><span class="label label-danger">Sold</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::hold_client : ''): ?>
                                 <td><span class="label label-primary">Client Hold</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::hold_company : ''): ?>
                                 <td><span class="label label-primary" style="background-color:#cd703d;">Company Hold</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::token_hold : ''): ?>
                                 <td><span class="label label-primary">Token Hold</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::temp_hold : ''): ?>
                                 <td><span class="label label-primary">Temporary Hold</span></td>
                                 <?php elseif($info->inventory ? $info->inventory->status == \App\Inventory::package_open_file_refunded : ''): ?>
                                 <td><span class="label label-danger">Refunded</span></td>
                                 <?php else: ?>
                                 <td></td>
                                 <?php endif; ?>

                                 
                                 <?php else: ?>
                                 <?php if($info->inventory ? $info->inventory->status == \App\Inventory::open : ''): ?>
                                 <td><span class="label label-success">Open</span></td>
                                 <?php else: ?>
                                 <td><span class="label label-danger">Sold</span></td>
                                 <?php endif; ?>


                                 <?php endif; ?>
                              
                           
                                <td><?php echo e($info->valid_until_date); ?></td>
                                <td class="text-nowrap">
                                    
                                            <?php if($info->endUserForm): ?>


                                            <a href="<?php echo e(route('openfile.get.enduser', [$info->endUserForm->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Registration Letter"> <i
                                                    class="fa fa-file-powerpoint-o" aria-hidden="true" ><?php if($info->endUserForm->registration_letter_count > 0): ?><span class="label label-rounded pull-right" style="line-height: 1.8;    min-width: 0px;font-size: 10px;padding: 0px 7px;background-color: rgb(204 2 2);"><?php echo e($info->endUserForm->registration_letter_count); ?></span> <?php endif; ?></i>&nbsp;&nbsp;</a>
                                                     
                                            <a href="<?php echo e(route('openfile.form',['id'=>$info->endUserForm->id])); ?>"
                                                data-toggle="tooltip" data-original-title="Registration-Form"> <i
                                                    class="fa fa-folder-open text-inverse m-r-10" ><?php if($info->endUserForm->registration_form_count > 0): ?><span class="label label-rounded pull-right" style="line-height: 1.8;    min-width: 0px;font-size: 10px;padding: 0px 8px;background-color: rgb(204 2 2);"><?php echo e($info->endUserForm->registration_form_count); ?></span> <?php endif; ?></i></a>
        
                                            

                                                    
                                                     
                                            
                                                    
                                            <?php else: ?>
                                     
        
                                                            <a href="<?php echo e(route('openfile.create.enduser', [$info->id])); ?>"
                                                                data-toggle="tooltip" data-original-title="Generate End User Form"> <i
                                                                    class="fa fa-pencil-square-o" aria-hidden="true"></i>&nbsp;&nbsp;</a>
                                             <?php endif; ?>


                                   
                                   </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    
    
                                </tbody>
                                
    
                                <tfoot>
                                    
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.row -->
        </div>
        <!-- ./container-fluid -->
        <?php $__env->stopSection(); ?>

            <?php $__env->startSection('js'); ?>

            <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js">
            </script>

            <script></script>
            <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/openfile/detail.blade.php ENDPATH**/ ?>