
<?php $__env->startSection('title'); ?>
Hrm Dashboard
<?php $__env->stopSection(); ?>
<?php $__env->startSection('breadcrumb'); ?>
	<ol class="breadcrumb pull-right no-print">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Hrm Dashboard</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<style type="text/css">
	.table-bordered, .table>
  tbody>
  tr>
  td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
    border: 1px solid #000000;
}

.fa {
     font-size: 20px !important;

    }
</style>  
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
            <!-- ===== Page-Container ===== -->
            <div class="container-fluid">
                <div class="row colorbox-group-widget">
                    <div class="col-md-4 col-sm-4 info-color-box">
                        <div class="white-box">
                            <div class="media bg-primary">
                                <div class="media-body">
                                    <h3 class="info-count info-text font-12">Total Employees<span class="pull-right" style="font-size: 20px;"><i class="icon-user-follow fa-fw marked-circle-outline"></i></span></h3>
                                    <p style="font-size: 25px;"><?php echo e($all_employees); ?></p>    
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-4 info-color-box">
                        <div class="white-box">
                            <div class="media bg-success">
                                <div class="media-body">
                                    <h3 class="info-count info-text font-12">Total Departments <span class="pull-right" style="font-size: 20px;"><i class="mdi mdi-comment-text-outline"></i></span></h3>
                                    <p style="font-size: 25px;"><?php echo e($total_departments); ?></p>
                                    <p class="info-ot font-15"><span></span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                      <div class="col-md-4 col-sm-4 info-color-box">
                        <div class="white-box">
                            <div class="media bg-danger">
                                <div class="media-body">
                                    <h3 class="info-count info-text font-12">Total Employees <?php echo e(date("F", mktime(0, 0, 0, $month))); ?> <span class="pull-right" style="font-size: 20px;"><i class="mdi mdi-comment-text-outline"></i></span></h3>
                                    <p style="font-size: 25px;"><?php echo e($current_month_employees); ?></p>
                                    <p class="info-ot font-15"><span></span></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
          <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right"> </div>
                    <h3 class="box-title">Recently Added Employees </h3>
                    <h3 style="text-align: right;" class="box-title m-b-0">
                     <a class="btn btn-info btn-sm" href="<?php echo e(route('employee.add')); ?>">Add New Employee</a>
                    </h3>
                    <br>
            <div class="table-responsive"> 
               <?php if(Session::has('success')): ?>
               <div id="successMessage" class="alert alert-success" role="alert"> <?php echo e(Session::get('success')); ?> 
               </div> 
               <?php endif; ?>
               <div class="table-responsive">
                  <table id="myTableData" class="table table-striped table-bordered dataTable color-table primary-table" role="grid" aria-describedby="myTable_info">
                     <thead>
                        <tr lass="table-secondary" role="row">
                           <th>#</th>
                           <th>Name</th>
                           <th>Designation </th>
                           <th>Phone Number </th>
                           <th>Action</th>
                        </tr>
                     </thead>
                     <tbody> 
                        <?php 

                        $couter = 1; 

                        ?> 

                        <?php $__currentLoopData = $HrmEmployees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $HrmEmployee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                           <td><?php echo e($couter++); ?></td>
                           <td><?php echo e($HrmEmployee->name); ?></td>
                           <td><?php echo e($HrmEmployee->company_detail->designation ? $HrmEmployee->company_detail->designation->name : ''); ?></td>
                           <td><?php echo e($HrmEmployee->phone_no); ?></td>
                           
                           <td class="text-nowrap">
                              <a href="<?php echo e(route('hrmemployee.detail',[$HrmEmployee->id])); ?>" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a> &nbsp;
                              <a href="<?php echo e(route('hrmemployee.edit',[$HrmEmployee->id])); ?>" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a> &nbsp;
                              <a href="<?php echo e(route('hrmemployee.delete',[$HrmEmployee->id] )); ?>" data-toggle="tooltip" data-original-title="Delete" onclick="return confirm('Ary You Sure To delete?')"> <i class="fa fa-close text-danger"></i> </a>
                           </td>
                        </tr> 
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                     </tbody>
                  </table>
               </div>
            </div>
           </div>
       </div>
   </div>  
 

 </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/proje372/akram-city.projecterp.net/resources/views/hrm/hrm-dashboard.blade.php ENDPATH**/ ?>