

<?php $__env->startSection('title'); ?>
Admin Profile /Edit 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Edit Profile</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page_header'); ?>
           <div class="container-fluid">
        <h1 class="page-title">
            <i class="voyager-person"></i> Edit Person
        </h1>
 </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
 <div class="page-content container-fluid">
        <form class="form-edit-add" role="form"
              action="<?php echo e(route('admin.update')); ?>"
              method="POST" enctype="multipart/form-data" autocomplete="off">
            <!-- PUT Method if we are editing -->
             <?php echo e(csrf_field()); ?>


            <div class="row">
                <div class="col-md-8">
                    <div class="panel panel-bordered">

                        <input type='hidden' name='id' value='<?php echo e($admin->id); ?>'>
                        <div class="panel-body">
                            <div class="form-group">
                                <label for="name">Name</label>
                                <input type="text" class="form-control" id="name" name="name" placeholder="Name"
                                       value="<?php echo e($admin->name); ?>">
                                <?php if($errors->has('name')): ?>
                                    <span class="help-block" >
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="email">E-mail</label>
                                <input type="email" class="form-control" id="email" name="email" placeholder="E-mail"
                                       value="<?php echo e($admin->email); ?>">
                                <?php if($errors->has('email')): ?>
                                    <span class="help-block" >
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="password">Password</label>
                                                                    <br>
                                    <small>Leave empty to keep the same</small>
                               <input type="password" class="form-control" id="password" name="password" value="" autocomplete="new-password">
                            <?php if($errors->has('password')): ?>
                                    <span class="help-block" >
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <br>
                            <br>

                        </div>
                    </div>
                </div>

            </div>

            <button type="submit" class="btn btn-primary pull-right save">
                Save
            </button>
        </form>


    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('javascript'); ?>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/edit-profile.blade.php ENDPATH**/ ?>