


<?php $__env->startSection('title'); ?>

Report 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Balance Sheet</li>
      </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="container-fluid">
       <!--.row-->
                <div class="row">
                    <div class="col-md-12">
                        <div class="panel panel-info">
                            <div class="panel-heading">Generate Balance Sheet</div>
                            <div class="panel-wrapper collapse in" aria-expanded="true">
                                <div class="panel-body">
                                      <form class="form-horizontal" method='post' action="<?php echo e(route('report.balance-sheet.generate')); ?>">
                                        <?php echo e(csrf_field()); ?>

                                        <div class="form-body">
                                            <div class="row">

                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                                                <?php echo $__env->make('partial.multiproject_forsomereport', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                  <?php endif; ?>
    
                                                <!--/span-->
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                                      <label class="control-label">As Of</label>
                                                        <div class="input-group">
                                                          <div class="input-group-addon">
                                                            <i class="fa fa-calendar"></i>
                                                          </div>
                                                        <input type="date" class="form-control " placeholder="dd/mm/yyyy"  name='date'>
                                                        <?php if($errors->has('date_range')): ?>
                                                            <span class="help-block" >
                                                                <strong><?php echo e($errors->first('date_range')); ?></strong>
                                                            </span>
                                                        <?php endif; ?>

                                                      </div>
                                                         </div>
                                                </div>
                                                <!--/span-->
                                                <div class="clearfix"></div>

                                                <div class="col-md-6">
                                                    <div class="form-group has-success" style="margin-bottom: 15px">
                                                      <label class="control-label">Type</label>
                                                        <div class="input-group">
                                                          <div class="input-group-addon">
                                                            <i class="fa fa-calendar"></i>
                                                          </div>
                                                        <select class="form-control chosen-select" name="level">
                                                            <option value="1" selected=""> Level 1</option>
                                                            <option value="2"> Level 2</option>
                                                            <option value="3"> Level 3</option>
                                                            
                                                        </select>
                                                        <?php if($errors->has('level')): ?>
                                                            <span class="help-block" >
                                                                <strong><?php echo e($errors->first('level')); ?></strong>
                                                            </span>
                                                        <?php endif; ?>

                                                      </div>
                                                         </div>
                                                </div>
                                                <!--/span-->
                                            </div>
                                            
                                        </div>
                                        <div class="form-actions">
                                            <button type="submit" class="btn btn-success search-customer"> <i class="fa fa-check" ></i> Generate</button>
                                            </form>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--./row-->
                <?php $__env->stopSection(); ?>

    <?php $__env->startSection('js'); ?>
<script>
// Date Picker
    jQuery('.mydatepicker, #datepicker').datepicker();
    jQuery('#datepicker-autoclose').datepicker({
        autoclose: true,
        todayHighlight: true
    });
</script>
   <?php $__env->stopSection(); ?>




<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/report/balance-sheet-range.blade.php ENDPATH**/ ?>