<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use App\GeneralJournalEntry;
use App\Voucher;
use DB;
use Auth;

class TrialBalanceImport implements ToModel, WithHeadingRow
{


  /**
   * @param Collection $collection
   */
  protected $date;
  protected $project_id;

  protected $latest_entry_no;
  protected $voucherNo;

  function __construct($date, $project_id, $latest_entry_no, $voucherNo)
  {
    $this->date = $date;
    $this->project_id = $project_id;
    $this->latest_entry_no =  $latest_entry_no;
    $this->voucherNo = $voucherNo;
  }
  public function model(array $row)
  {



    $amount = 0;
    $debit =    $row['debit'];
    $credit =  $row['credit'];
    $account =  $row['accounts'];

    if (!empty($account)) {

      $account = str_replace(' ', '', $account);

      $results = DB::table('chart_of_accounts')
        ->whereRaw("CONCAT(REPLACE(number, ' ', ''), '-', REPLACE(name, ' ', ''))  Like ?", ["%" . strtolower($account) . "%"])
        ->first();


      if (!empty($results)) {
        if (empty($debit)) {
          if (!empty($credit)) {
            $amount =   $credit * -1;
            $gId = GeneralJournalEntry::create(['date' => $this->date, 'entry_no' =>  $this->latest_entry_no, 'account_id' => $results->id, 'amount' => $amount,  'voucher_type' => GeneralJournalEntry::JV,  'prepare_by' => Auth::user()->id, 'voucher_no' => $this->voucherNo, 'multi_project_id' => $this->project_id]);
          }
        } else {
          $amount = $debit;
          $gId = GeneralJournalEntry::create(['date' => $this->date, 'entry_no' =>  $this->latest_entry_no, 'account_id' => $results->id,  'amount' => $amount,  'voucher_type' => GeneralJournalEntry::JV,  'prepare_by' => Auth::user()->id, 'voucher_no' => $this->voucherNo, 'multi_project_id' => $this->project_id]);
        }
      }
    }
  }
}
