<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUnitBlockageCriteriasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('unit_blockage_criterias', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->double('total_days')->default(0);
            $table->double('total_amount')->default(0);
            $table->text('description')->nullable();
            $table->tinyInteger('status')->comment('0 inactive || 1 active')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('unit_blockage_criterias');
    }
}
