@extends('layouts.app')

@section('title')
Add New  Size 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>
        @permission('view-unit-size')
        <li ><a href="{{route('unit.size.all')}}"> Sizes </a></li>
        @endpermission
        <li class="active">Add Size</li>
      </ol>
@stop
@section('content')

<div class="container-fluid">
                <!--.row-->
                <div class="row">

                    <div class="col-md-12">
                        <div class="white-box">
                            <h3 class="box-title m-b-0" style="font-size: 18px;"><i class="fa fa-arrows-alt" aria-hidden="true"></i>&nbsp;Add New Size</h3>
                            <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                            <hr>
                            <form class="form-horizontal" action="{{route('unit.size.insert')}}" method="post" style="margin-top: 30px; margin-bottom: 30px;">
                               {{csrf_field()}}
                               
                                <div class="form-group">
                                    <label for="exampleInputuname" class="col-sm-2 control-label"> Size <span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group" style="width:400px">

                                            <input  type="text" class="form-control" name="name" value="{{old('name')}}" id="exampleInputuname" placeholder="Enter Size">
                                        @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group" >
                                    <label for="inputPassword3" class="col-sm-2 control-label">Status<span style="color: red">*</span></label>
                                    <div class="col-sm-10">
                                        <div class="input-group">
                                            <select class="form-control" style="width:400px" name="status">
                                                @if(old('status'))
                                                @if(old('status') == true)
                                                <option value='1' selected="">Active</option>
                                                <option value="0">InActive</option>
                                                @else
                                                <option value='1' >Active</option>
                                                <option value="0"selected="">InActive</option>
                                                @endif
                                                @else
                                               <option value='1' selected="">Active</option>
                                                <option value="0">InActive</option>
                                                @endif

                                            </select>

                                        @if ($errors->has('status'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('status') }}</strong>
                                    </span>
                                @endif
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group m-b-0">
                                    <div class="col-sm-offset-3 col-sm-2">
                                        <button type="submit" class="btn btn-info waves-effect waves-light m-t-10" style="width: 100%;">Save</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <!--./row-->
            </div>
            <!-- /.container-fluid -->

@stop
@section('js')
<script>
// $('#exampleInputuname').keyup(function(){

//     if (isNaN(this.value[this.value.length - 1])) {
//   this.value = this.value.slice(0, -1);
// }
// //     if (isNaN(this.value) ) {
// //   this.value = 0;
// // }
// });


let input = document.getElementById("exampleInputuname");
input.addEventListener("input", function() {
  let value = input.value;
  let newValue = value.replace(/[^0-9.]/g, "");
  let dotCount = (newValue.match(/\./g) || []).length;
  if (dotCount > 1) {
    newValue = newValue.substring(0, newValue.length - 1);
  }
  input.value = newValue;
});

</script>
@stop