 <div class="col-sm-12">
                        <div class="white-box">
                        	
                            <h3 class="box-title">All Statement (<?php echo e(number_format(count($allStatements))); ?>)</h3>

                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Sr No.</th>
                                            <th>Project</th>
                                            <th>Unit No</th>
                                            <th>Size</th>
                                            
                                            <th>Member Name</th>
                                            <th>Net Amount</th>

                                            <th>Received Amount</th>
                                            
                                            <th>Booking Date</th>
                                            <th>Status</th>
                                            <th style="width: 185px!important;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count =1;?>
                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-membership')): ?>
                                            <?php $view_membership = true;?>
                                        <?php else: ?>
                                            <?php $view_membership = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'create-schedule')): ?>
                                            <?php $create_schedule = true;?>
                                        <?php else: ?>
                                            <?php $create_schedule = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'edit-membership')): ?>
                                            <?php $edit_membership = true;?>
                                        <?php else: ?>
                                            <?php $edit_membership = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'delete-membership')): ?>
                                            <?php $delete_membership = true;?>
                                        <?php else: ?>
                                            <?php $delete_membership = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'download-membership')): ?>
                                            <?php $download_membership = true;?>
                                        <?php else: ?>
                                            <?php $download_membership = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'reminder-membership')): ?>
                                            <?php $reminder_membership = true;?>
                                        <?php else: ?>
                                            <?php $reminder_membership = false;?>
                                        <?php endif; ?>

                                        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'sms-membership')): ?>
                                            <?php $sms_membership = true;?>
                                        <?php else: ?>
                                            <?php $sms_membership = false;?>
                                        <?php endif; ?>

                                        <?php $__currentLoopData = $allStatements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr >
                                            <td><?php echo e($count++); ?></td>
                                           
                                            <td>
                                                <?php if($statement->inventory): ?>
                                                 <?php if($statement->inventory->multiProject): ?>
                                                 <?php echo e($statement->inventory->multiProject->name); ?>

                                                 <?php else: ?>
                                                 None
                                                <?php endif; ?>
                                               
                                              <?php endif; ?>
                                            </td>
                                            <td><?php echo e($statement->inventory->unit_number); ?></td>
                                              <td><?php if($statement->inventory): ?>
                                                <?php if($statement->inventory->size): ?>
                                                
                                                <?php echo e($statement->inventory->size->name); ?> <?php echo e(env('SIZE')); ?>

                                                <?php endif; ?>
                                                <?php endif; ?>
                                            </td>
                                            <td><?php echo e($statement->customer ? $statement->customer->name: ''); ?><br><b>Dealer: </b>
                                                <?php $__currentLoopData = $statement->dealerTransaction; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($loop->last): ?>
                                                        <?php echo e($d->dealer->name); ?>

                                                    <?php else: ?>
                                                        <?php echo e($d->dealer->name); ?>,
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </td>

                                            <td class="text-right"><b><?php echo e(number_format($statement->net_pay)); ?></b></td>


                                            <td class="text-right"><b><?php echo e(number_format($receivedAmt[$statement->id])); ?></b></td>

                                            

                                            <td><?php echo e(date('d-m-Y', strtotime($statement->booking_date))); ?></td>



                                            <?php if($statement->status == \App\CustomerProperty::pending): ?>
                                            <td><span class="label label-primary" style="background-color:#cd703d;">Pending</span></td>

                                            <?php elseif($statement->status == \App\CustomerProperty::approved): ?>
                                            <td><span class="label label-success">Approved</span></td>
                                            <?php elseif($statement->status == \App\CustomerProperty::cancel): ?>
                                            <td><span class="label label-danger">Canceled</span></td>
                                            <?php else: ?>
                                            <td></td>
                                            <?php endif; ?>



                                            <td class="text-nowrap">
                                                <?php if($view_membership): ?>
                                                <a href="<?php echo e(route('statement.detail',['id'=>$statement->id])); ?>" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                <?php endif; ?>

                                                
                                                <?php if($statement->status != \App\CustomerProperty::approved): ?>
                                                <?php if($edit_membership): ?>

                                                 <a href="<?php echo e(route('membership.edit',['id'=>$statement->id])); ?>" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                 <?php endif; ?>

                                                 <?php if($delete_membership): ?>

                                                <a href="<?php echo e(route('statement.delete',['id'=>$statement->id])); ?>" onclick="return  confirm('Are you sure to delete?')" data-toggle="confirmation" data-title="Are you sure to delete?" > <i class="fa fa-close text-danger"></i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</a>
                                                <?php endif; ?>

                                                <?php endif; ?>

                                                <?php if($download_membership): ?>

                                                <a target="_blank" href="<?php echo e(route('membership.download',['id'=>$statement->id])); ?>" data-toggle="tooltip" data-original-title="Download"> <i class="fa fa-download text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                <?php endif; ?>

                                                <?php if($reminder_membership): ?>

                                                <?php if($statement->reminder_text): ?>
                                                <?php if($statement->reminder_date): ?>
                                                <?php if($statement->reminder_date < \Carbon\Carbon::now()): ?>
                                                <a href="#" onclick="openReminderModal(<?php echo e($statement->id); ?>)" data-toggle="tooltip" data-original-title="Overdue Reminder" style="color: red;"> <i class="fa fa-bell text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                <?php else: ?>
                                                <a href="#" onclick="openReminderModal(<?php echo e($statement->id); ?>)" data-toggle="tooltip" data-original-title="Coming Reminder" style="color: green;"> <i class="fa fa-bell text-inverse m-r-10"></i>&nbsp;&nbsp;</a>
                                                <?php endif; ?>
                                                <?php else: ?>
                                                <a href="#" onclick="openReminderModal(<?php echo e($statement->id); ?>)" data-toggle="tooltip" data-original-title="See Coming Reminder" style="color: green;"> <i class="fa fa-bell text-inverse m-r-10"></i>&nbsp;&nbsp;</a>

                                                <?php endif; ?>
                                                <?php else: ?>
                                                <a href="#" onclick="openReminderModal(<?php echo e($statement->id); ?>)" data-toggle="tooltip" data-original-title="Reminder"> <i class="fa fa-bell text-inverse m-r-10"></i>&nbsp;&nbsp;</a>

                                                <?php endif; ?>

                                                <?php endif; ?>

                                                <?php if($sms_membership): ?>

                                                <a href="#" onclick="openSmsModal(<?php echo e($statement->id); ?>)" ><i class="fa fa-comment"></i></a>
                                                <?php endif; ?>
                                            </td>

                                        </tr>

                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                                
                            </div>
                        </div>
                    </div><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/statement/update-table.blade.php ENDPATH**/ ?>