

<?php $__env->startSection('title'); ?>
    Add Sale
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
        <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'list-membership')): ?>
            <li><a href="<?php echo e(route('statement.all')); ?>">Statements</a></li>
        <?php endif; ?>
        <li class="active">Add Sale</li>
    </ol>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <style>
        .select2-container {
            width: 300px !important;
            /* set the width to 300 pixels */
        }
        .select2-container--default .select2-selection--multiple {
            width: 300px !important;
}
        .help-block {
            font-weight: bold;
        }

        span {
            display: inline-block;
        }

        .lallu {
            display: flex;
        }

        .Note {
            display: inline-block;
            /* color: red; */
        }
        .white-box-1{
            background: #fff;
    padding: 18px 25px 10px 25px;
    margin-bottom: 30px;
    border-radius: 4px;
    
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>




    <div class="container-fluid">
        <div class="row">

            <form class="form-horizontal" method='post' action="<?php echo e(route('statement.insert')); ?>" enctype="multipart/form-data"
                onsubmit="return validateData(this)">
                <?php echo e(csrf_field()); ?>

                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <?php if($errors->any()): ?>
                        <div class="white-box" style="height: 285px;">
                            <h2>Errors</h2>
                            <ul>
                                <?php echo implode('', $errors->all('<li><span class="help-block"><strong>:message</strong></span></li>')); ?>

                            </ul>
                        </div>
                    <?php endif; ?>

                    <div class='white-box'>
                        <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i> Add New Sale</h3>
                        <p class="text-muted  font-13">
                        <p class="Note">Note</p>: All * fields are mandatory </p>
                        <hr>

                    </div>
                </div>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                
                <?php endif; ?>
                <div id='updatecontent'>

                    
                        <?php echo $__env->make('statement.add-statement-update', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                   

                </div>
            </form>
        </div>
    </div>
    


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
 
 
       
       
       
       
       <?php echo $__env->make('statement.add-statement-javascript', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
         
        
       
        
      
   

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/statement/add-statement.blade.php ENDPATH**/ ?>