


<?php $__env->startSection('title'); ?>
Registration Form
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<ol class="breadcrumb  pull-right no-print">
    <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
    <?php if (\Illuminate\Support\Facades\Blade::check('permission', 'view-openfile')): ?>
        <li><a href="<?php echo e(route('openfile.view')); ?>">All Open File Packages List</a></li>
    <?php endif; ?>
    <li class="active">End User Details</li>
</ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    
    <form method="post" action="<?php echo e(route('openfile.enduser.store')); ?>" class="form-horizontal"
        id="receipt_form">
        <?php echo e(csrf_field()); ?>

        <div class="row">
            <div class="col-lg-12 col-sm-12 col-xs-12">
                <?php if($errors->any()): ?>
                <div class="white-box">
                    <h2>Errors</h2>
                    <ul>
                        <?php echo implode('', $errors->all('<li><span class="help-block"><strong>:message</strong></span>
                        </li>')); ?>

                    </ul>
                </div>
                <?php endif; ?>
                <div class="white-box1">
                    <h3 class="box-title" style="font-size: 18px; font-weight: 700; height: 18px;"><i class="fa fa-check-square-o" aria-hidden="true"></i> End User Form</h3>
                    <p class="text-muted m-b-30 font-13" style="height: 5px;"> Add the information </p>
                    <hr>
                    <input type='hidden' name='openfiledealer_info_id' value='<?php echo e($openfiledealer_info->id); ?>'>
                    <div class="col-md-6" style="margin-top: 10px; margin-bottom: 10px;">
                        <div class="form-group">
                            <label for="inputcurrency" class="control-label col-md-4">Currency No
                                <span style="color: red">*</span>
                            </label>
                            <div class="col-md-8">
                                <div class="input-group" style="width: 377px;">
                                    <input type="text" class="form-control" name="currency_number" id="currency_number" value="<?php echo e(old('currency_number')); ?>">
                                    <?php if($errors->has('currency_number')): ?>
                                        <span class="help-block">
                                            <strong><?php echo e($errors->first('currency_number')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                        <label class="control-label col-md-4">App Form No<span style="color: red">*</span></label>
                        <div class="col-md-8">
                            <input type='text' class="form-control" name='app_form_no' id='app_form_no' >

                            <?php if($errors->has('app_form_no')): ?>
                                <span class="help-block">
                                    <strong><?php echo e($errors->first('app_form_no')); ?></strong>
                                </span>
                            <?php endif; ?>

                        </div>
                        </div>
                        <!-- <br><br><br><br> -->


                        <div class="clearfix"></div>
                        <div class=" col-sm-4">&nbsp;</div>
                        <div class=" col-sm-4">
                            <button type="submit" class="btn btn-info waves-effect waves-light m-t-10"
                                style="width: 100%; margin-left: 100px;">Generate</button>
                        </div>
                    </div>
                </div>
            <?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>

<script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js">
</script>

<script>
    $(":input").inputmask();

  

   
</script>


<?php $__env->stopSection(); ?>
        
    





















<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/openfile/enduserdetails.blade.php ENDPATH**/ ?>